using DAL._Shared.SharedModels;
using DAL.Models.Entities;
using HRD.WebApi.DAL;

using Microsoft.EntityFrameworkCore;

namespace DAL
{
    public partial class WebApiContext : WebApiBaseContext
    {
        public WebApiContext(DbContextOptions<WebApiContext> options) : base(options)
        {
        }

        public virtual DbSet<WebAppUser> WebAppUserSet { get; set; }
        public virtual DbSet<WebAppEmployeeInfo> WebAppEmployeeInfo { get; set; }

        public virtual DbSet<AdWebAppToWebAppRole> AdWebAppToWebAppRoleSet { get; set; }
        public virtual DbSet<CostCentre> CostCentreSet { get; set; }
        public virtual DbSet<Department> DepartmentSet { get; set; }
        public virtual DbSet<DocumentArt> DocumentArtSet { get; set; }
        public virtual DbSet<EmployeeAttribute> EmployeeAttributeSet { get; set; }
        public virtual DbSet<EmployeeStatus> EmployeeStatusSet { get; set; }
        public virtual DbSet<Project> ProjectSet { get; set; }
        public virtual DbSet<Rang> RangSet { get; set; }
        public virtual DbSet<WebApp> WebAppSet { get; set; }
        public virtual DbSet<WebAppRole> WebAppRoleSet { get; set; }
        public virtual DbSet<DepartmentToWebAppToEmployeeForWindream> DepartmentToWebAppToEmployeeForWindreamSet { get; set; }
        public virtual DbSet<DocumentArtToDepartment> DocumentArtToDepartmentSet { get; set; }
        public virtual DbSet<Employee> EmployeeSet { get; set; }
        public virtual DbSet<EmployeeToAttribute> EmployeeToAttributeSet { get; set; }
        public virtual DbSet<EmployeeToDepartment> EmployeeToDepartmentSet { get; set; }
        public virtual DbSet<EmployeeToWebApp> EmployeeToWebAppSet { get; set; }
        public virtual DbSet<WebAppAdditionalRole> WebAppAdditionalRoleSet { get; set; }
        public virtual DbSet<WebAppToDepartment> WebAppToDepartmentSet { get; set; }
        public virtual DbSet<WebAppToWebAppAdditionalRole> WebAppToWebAppAdditionalRoleSet { get; set; }
        public virtual DbSet<WebAppToWebAppRole> WebAppToWebAppRoleSet { get; set; }
        public virtual DbSet<WindreamColumnsToDepartment> WindreamColumnsToDepartmentSet { get; set; }
        public virtual DbSet<WindreamIndex> WindreamIndexSet { get; set; }
        public virtual DbSet<WindreamIndexToWindreamSearchToDepartment> WindreamIndexToWindreamSearchToDepartmentSet { get; set; }
        public virtual DbSet<WindreamSearch> WindreamSearchSet { get; set; }
        public virtual DbSet<WindreamSearchItem> WindreamSearchItemSet { get; set; }
        public virtual DbSet<WindreamSearchItemToWindreamSearchToDepartment> WindreamSearchItemToWindreamSearchToDepartmentSet { get; set; }
        public virtual DbSet<WindreamSearchToDepartment> WindreamSearchToDepartmentSet { get; set; }
        public virtual DbSet<WindreamInputFolder> WindreamInputFolderSet { get; set; }
        public virtual DbSet<Subsidiary> SubsidiarySet { get; set; }
        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Subsidiary>(entity =>
            {
                entity.ToTable("Subsidiary", "webapi");
            });
 
            modelBuilder.Entity<WindreamInputFolder>(entity =>
            {
                entity.ToTable("WindreamInputFolder", "webapi");
            });
 
            modelBuilder.Entity<WindreamSearchToDepartment>(entity =>
            {
                entity.ToTable("WindreamSearchToDepartment", "webapi");
            });
 
            modelBuilder.Entity<WindreamSearchItemToWindreamSearchToDepartment>(entity =>
            {
                entity.ToTable("WindreamSearchItemToWindreamSearchToDepartment", "webapi");
            });
 
            modelBuilder.Entity<WindreamSearchItem>(entity =>
            {
                entity.ToTable("WindreamSearchItem", "webapi");
            });
 
            modelBuilder.Entity<WindreamSearch>(entity =>
            {
                entity.ToTable("WindreamSearch", "webapi");
            });
 
            modelBuilder.Entity<WindreamIndexToWindreamSearchToDepartment>(entity =>
            {
                entity.ToTable("WindreamIndexToWindreamSearchToDepartment", "webapi");
            });
 
            modelBuilder.Entity<WindreamIndex>(entity =>
            {
                entity.ToTable("WindreamIndex", "webapi");
            });
 
            modelBuilder.Entity<WindreamColumnsToDepartment>(entity =>
            {
                entity.ToTable("WindreamColumnsToDepartment", "webapi");
            });
 
            modelBuilder.Entity<WebAppToWebAppRole>(entity =>
            {
                entity.ToTable("WebAppToWebAppRole", "webapi");
            });
 
            modelBuilder.Entity<WebAppToWebAppAdditionalRole>(entity =>
            {
                entity.ToTable("WebAppToWebAppAdditionalRole", "webapi");
            });
 
            modelBuilder.Entity<WebAppToDepartment>(entity =>
            {
                entity.ToTable("WebAppToDepartment", "webapi");
            });
 
            modelBuilder.Entity<WebAppAdditionalRole>(entity =>
            {
                entity.ToTable("WebAppAdditionalRole", "webapi");
            });
 
            modelBuilder.Entity<EmployeeToWebApp>(entity =>
            {
                entity.ToTable("EmployeeToWebApp", "webapi");
            });
 
            modelBuilder.Entity<EmployeeToDepartment>(entity =>
            {
                entity.ToTable("EmployeeToDepartment", "webapi");
            });
 
            modelBuilder.Entity<EmployeeToAttribute>(entity =>
            {
                entity.ToTable("EmployeeToAttribute", "webapi");
            });
 
            modelBuilder.Entity<Employee>(entity =>
            {
                entity.ToTable("Employee", "webapi");
            });
 
            modelBuilder.Entity<DocumentArtToDepartment>(entity =>
            {
                entity.ToTable("DocumentArtToDepartment", "webapi");
            });
 
            modelBuilder.Entity<DepartmentToWebAppToEmployeeForWindream>(entity =>
            {
                entity.ToTable("DepartmentToWebAppToEmployeeForWindream", "webapi");
            });
 
            modelBuilder.Entity<WebAppRole>(entity =>
            {
                entity.ToTable("WebAppRole", "webapi");
            });
 
            modelBuilder.Entity<WebApp>(entity =>
            {
                entity.ToTable("WebApp", "webapi");
            });
 
            modelBuilder.Entity<Rang>(entity =>
            {
                entity.ToTable("Rang", "webapi");
            });
 
            modelBuilder.Entity<Project>(entity =>
            {
                entity.ToTable("Project", "webapi");
            });
 
            modelBuilder.Entity<EmployeeStatus>(entity =>
            {
                entity.ToTable("EmployeeStatus", "webapi");
            });
 
            modelBuilder.Entity<EmployeeAttribute>(entity =>
            {
                entity.ToTable("EmployeeAttribute", "webapi");
            });
 
            modelBuilder.Entity<DocumentArt>(entity =>
            {
                entity.ToTable("DocumentArt", "webapi");
            });
 
            modelBuilder.Entity<Department>(entity =>
            {
                entity.ToTable("Department", "webapi");
            });
 
            modelBuilder.Entity<CostCentre>(entity =>
            {
                entity.ToTable("CostCentre", "webapi");
            });
 
            modelBuilder.Entity<AdWebAppToWebAppRole>(entity =>
            {
                entity.ToTable("AdWebAppToWebAppRole", "webapi");
            });
 

            modelBuilder.Entity<WebAppUser>(entity =>
            {
                entity.ToTable("WebAppUser", "webapi");
            });

            modelBuilder.Entity<WebAppEmployeeInfo>(entity =>
            {
                entity.ToTable("WebAppEmployeeInfo", "webapi");
            });

            base.OnModelCreating(modelBuilder);
        }

    }
}
